package com.FuzhuFrame.main;

import com.FuzhuFrame.main.FuzhuFrame.1;
import com.FuzhuFrame.main.FuzhuFrame.2;
import com.auxiliary.Frame.FrameBrowser;
import java.awt.Component;
import java.awt.LayoutManager;
import java.io.File;
import java.lang.reflect.Constructor;
import java.net.URL;
import java.net.URLClassLoader;
import java.util.ArrayList;
import java.util.List;
import javax.swing.JFrame;
import javax.swing.JMenu;
import javax.swing.JMenuBar;
import javax.swing.JPanel;
import javax.swing.JPopupMenu;

public class FuzhuFrame extends JFrame {

   List JPanelList = new ArrayList();
   private static final long serialVersionUID = 1L;
   int getWidth = 1500;
   int getHeight = 900;
   File file;
   URLClassLoader loader;
   Class clazz;
   Constructor constructor;


   public FuzhuFrame() {
      this.setTitle("辅助系统");
      this.setDefaultCloseOperation(3);
      JPopupMenu.setDefaultLightWeightPopupEnabled(false);
      this.getContentPane().setLayout((LayoutManager)null);
      JMenuBar menuBar = new JMenuBar();
      JMenu menu = new JMenu("菜单");
      menuBar.add(menu);
      this.setJMenuBar(menuBar);
      File root = new File("./jar");

      try {
         this.showAllFiles(root, this, menu);
      } catch (Exception var5) {
         var5.printStackTrace();
      }

      this.setSize(this.getWidth, this.getHeight);
      this.setVisible(true);
      this.addWindowListener(new 1(this));
      this.addComponentListener(new 2(this));
   }

   public Component add(Component comp) {
      if(comp instanceof JPanel) {
         this.JPanelList.add(comp);
      }

      return super.add(comp);
   }

   public void showAllFiles(File dir, FuzhuFrame jframe, JMenu menu) throws Exception {
      File[] fs = dir.listFiles();

      for(int i = 0; i < fs.length; ++i) {
         System.out.println(fs[i].getAbsolutePath());
         if(this.lastName(fs[i].getAbsolutePath()).equals("jar")) {
            this.file = new File(fs[i].getAbsolutePath());
            System.out.println(getFileNameFromURL(fs[i].getAbsolutePath()));
            this.loader = new URLClassLoader(new URL[]{this.file.toURI().toURL()});
            this.clazz = this.loader.loadClass(getFileNameFromURL(fs[i].getAbsolutePath()));
            this.constructor = this.clazz.getConstructor(new Class[]{Integer.class, Integer.class, FuzhuFrame.class, JMenu.class});
            this.constructor.newInstance(new Object[]{Integer.valueOf(this.getWidth), Integer.valueOf(this.getHeight), jframe, menu});
         }

         if(fs[i].isDirectory()) {
            try {
               this.showAllFiles(fs[i], jframe, menu);
            } catch (Exception var7) {
               new Exception(fs[i].getAbsolutePath());
            }
         }
      }

   }

   public String lastName(String filename) {
      String[] split = filename.split("\\.");
      return split.length > 1?split[split.length - 1]:"";
   }

   public static String getFileNameFromURL(String filename) {
      int lastIndexOf = filename.lastIndexOf("\\");
      return filename.substring(lastIndexOf + 1, filename.length() - 4);
   }

   public FrameBrowser getFrameBrowser() {
      return new FrameBrowser();
   }

   public static void main(String[] args) {
      try {
         new FuzhuFrame();
      } catch (Exception var2) {
         System.exit(0);
      }

   }
}
